[PATCH 1/2] build: let autogen.sh script change into top source directory
Thomas Haller
thaller at redhat.com
Fri Jul 4 10:58:03 PDT 2014
Signed-off-by: Thomas Haller <thaller at redhat.com>
---
autogen.sh | 13 +++++++++++--
1 file changed, 11 insertions(+), 2 deletions(-)
diff --git a/autogen.sh b/autogen.sh
index c3538bb..e498fae 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,6 +1,15 @@
#!/bin/bash
-autoreconf -fi;
+die() {
+ echo "$@" >&2
+ exit 1
+}
+
+BASEDIR="$(dirname "$0")"
+
+cd "$BASEDIR" || die "Could not change into base directory $BASEDIR"
+
+autoreconf -fi || die "Error during autoreconf"
rm -Rf autom4te.cache;
-doc/autogen.sh
+doc/autogen.sh || die "Error during doc/autogen.sh"
--
1.9.3
More information about the libnl
mailing list